using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp13
{
    class Program
    {
        static void Main(string[] args)
        {
            int N,i,t,max1,j,m1=0,k=0,b=0;
            N = Convert.ToInt32(Console.ReadLine());
            int[] knjige = new int[N];
            int[] knj = new int[N];
            for (i = 0; i < N; i++)
            {
                knjige[i] = Convert.ToInt32(Console.ReadLine());
                knj[i]=knjige[i];
            }
            i = 0;
            if (N==2)
            {
                t = knjige[0];
                knjige[0] = knjige[1];
                knjige[1] = t;
            }
            else
            {
                
                while (true)
                {
                    max1 = knjige[0];
                    for (j = 0; j < N-k; j++)
                    {
                        if (max1<knjige[j])
                        {
                            max1 = knjige[j];
                            m1 = j;
                        }
                    }
                   
                    if (max1==knjige[0])
                    {
                        for (b = 0; b < N-k-1; b++)
                        {
                            knjige[b] = knjige[b + 1];
                        }
                        k++;
                    }
                    else
                    {
                        knjige[m1] = knjige[0];
                        knjige[0] = max1;
                        break;
                    }
                }
            }
            b = k;
            for (i = 0; i < k; i++)
            {
                for (j = N-b; j >=1; j--)
                {
                    knjige[j] = knjige[j-1];
                }
                knjige[i] = knj[i];
            }
            for (i = 0; i < N; i++)
            {
                Console.WriteLine("{0}",knjige[i]);
            }
            
        }
    }
}